System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.ConnectionOrientedTransportElement

This configuration element allows you to create a custom binding that implements the TCP transport protocol.

Specifies a configuration element that causes a channel to transfer messages on the TCP transport when it is included in a custom binding. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Applies the settings of the specified to this configuration element.

  The whose settings are to be applied to this configuration element.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the object that represents the custom binding element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("connectionPoolSettings", Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.Configuration.TcpConnectionPoolSettingsElement To be added. To be added.

  Gets or sets a configuration element that specifies additional connection settings.

- Method
  4.0.0.0
  System.Void `` To be added.

  Copies the settings from the specified configuration element to this configuration element.

  The configuration element whose settings are to be copied to this configuration element section.
- Method
  4.0.0.0
  System.ServiceModel.Channels.TransportBindingElement To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("listenBacklog", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.IntegerValidator(ExcludeRange=false, MaxValue=2147483647, MinValue=1)
  System.Int32 To be added.

  Connections in excess of the limit are queued until a space below the limit becomes available. The property limits the duration the client waits to be connected before throwing a connection exception.

  Gets or sets the maximum number of channels that can wait on the listener to be accepted.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("portSharingEnabled", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Boolean To be added.

  This setting is relevant only to services. Clients are not affected.

  Using this setting requires enabling the indigo1 TCP Port Sharing Service by changing its Startup Type to Manual or Automatic.

  crabout the TCP Listener and how to start it, see .

  Gets or sets a value that specifies whether TCP port sharing is enabled for this connection.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("teredoEnabled", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Boolean To be added.

  This property enables Teredo for the underlying TCP socket. For more information, see Teredo Overview.

  This property is only applicable on wxpsp2 and ws2003. wv has a machine-wide configuration option for Teredo, so when running wv, this property is ignored. Teredo requires that the client and service machines both have the Microsoft IPv6 stack installed and correctly configured for Teredo usage. For more information about configuring Teredo, see Teredo Overview. For more information, see Windows Server 2003 Technology Centers.

  Gets or sets a value that specifies whether Teredo (a technology for addressing clients that are behind firewalls) is enabled.